Search Venue Recommendations

Get recommended venues based on the user's query and location.

Query Params
string
required

The API version date as documented here; e.g. 20231010

string

A string to be searched against a venue's tips, category, etc. The query parameter has no effect when a section is specified.

string

The latitude/longitude around which to retrieve place information. This must be specified as latitude,longitude (e.g., ll=41.8781,-87.6298). Required if near is not specified.

int32

Limit results to venues within this many meters of the specified location. Defaults to a city-wide area. Only valid for requests that use categoryId or query. The maximum supported radius is currently 100,000 meters.

string

The latitude/longitude representing the south/west points of a rectangle. Must be used with ne parameter to specify a rectangular search box. Global search results will be omitted.

string

The latitude/longitude representing the north/east points of a rectangle. Must be used with sw parameter to specify a rectangular search box. Global search results will be omitted.

string

A string naming a place in the world. If the near string is not geocodable, returns a failed_geocode error. Otherwise, searches within the bounds of the geocode and adds a geocode object to the response. Required if ll is not specified.

string

One of food, drinks, coffee, shops, arts, outdoors, sights, trending, nextVenues (venues frequently visited after a given venue), or topPicks (a mix of recommendations generated without a query from the user). Choosing one of these limits results to venues with the specified category or property.

string

A comma separated list of categories to limit results to. If you specify categoryId. Specifying a radius may improve results. If specifying a top-level category, all sub-categories will also match the query.

string

Pass new or old to limit results to places the acting user hasn't been or has been, respectively. Omitting this parameter returns a mixture of old and new venues.

string

Pass visited or notvisited to limit results to places the acting user's friends have or haven't been, respectively. Omitting this parameter returns a mixture of venues to which the user's friends have or haven't been.

string

Pass any to retrieve results for any time of day. Omitting this parameter returns results targeted to the current time of day.

string

Pass any to retrieve results for any day of the week. Omitting this parameter returns results targeted to the current day of the week.

string

A venue ID to use in combination with the intent=nextVenues parameter, which returns venues users often visit after a given venue. If intent=nextVenues is specified but lastVenue is not, the user's last check-in will be used if it is within 2 hours. If the user has not checked in within the last 2 hours, no results will be returned.

boolean

Boolean flag to only include venues that are open now. This prefers official provider hours but falls back to popular check-in hours.

int32

Comma separated list of price points. Currently the valid range of price points are [1,2,3,4], 1 being the least expensive, 4 being the most expensive. For food venues, in the United States, 1 is < $10 an entree, 2 is $10-$20 an entree, 3 is $20-$30 an entree, 4 is > $30 an entree.

boolean

Boolean flag to only include venues that the user has saved on their To-Do list or to another list.

boolean

Boolean flag to sort the results by distance instead of relevance.

string

Boolean flag to sort the results by popularity instead of relevance.

int32

Number of results to return; up to 50.

int32

Used to page through results, up to 50.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json